Package com.beust.jcommander.internal

# Class DefaultConsole

java.lang.Object
com.beust.jcommander.internal.DefaultConsole

All Implemented Interfaces:
  `Console`

public class DefaultConsole extends Object implements Console

## Constructor Summary

Constructors
Constructor
Description
`DefaultConsole()`

## Method Summary

Modifier and Type
Method
Description
`void`
`print(String msg)`
`void`
`println(String msg)`
`char[]`
`readPassword(boolean echoInput)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultConsole

public DefaultConsole()

## Method Details

### print

public void print(String msg)

Specified by:
  `print` in interface `Console`

### println

public void println(String msg)

Specified by:
  `println` in interface `Console`

### readPassword

public char[] readPassword(boolean echoInput)

Specified by:
  `readPassword` in interface `Console`